Back
  • Problems with High End Intellabeams and ETC Consoles-Public

    Older fixtures software has refresh problems with ETC consoles. You will need I-beam v.4.11 or greater in order for the fixture to respond to DMX from an ETC console correctly.  Additionally, Intellabeams may not play well with other fixture types sharing the same DMX run.  Intellabeams should be kept on their own DMX run.